/// <reference types="bunyan" />
import { ISshKeyService, ISshKeyRepository, ISshKeyInput, SshKeyType } from '../interfaces';
import * as Logger from 'bunyan';
export declare class SshKeyService implements ISshKeyService {
    private repository;
    private logger;
    constructor(repository: ISshKeyRepository, logger: Logger);
    generateKeys(name: string, comment?: string): Promise<{
        id: string;
        createdAt: string;
        name: string;
        keyType: SshKeyType;
        pubKey: string;
        key: string;
    }>;
    addSshKey(input: ISshKeyInput): Promise<{
        id: string;
        createdAt: string;
        name: string;
        keyType: SshKeyType;
        comment?: string;
        key: string;
        pubKey: string;
    }>;
    updateSshKey(input: any): Promise<any>;
    deleteSshKey(input: any): Promise<boolean>;
    getSshKey(input: any): Promise<{
        id?: string;
        name: string;
        keyType: string;
        createdAt: string;
        keyPath?: string;
        key: string;
        pubKey: string;
    }>;
}
